io.undertow.predicate

## Class MaxContentSizePredicate

- java.lang.Object
- - io.undertow.predicate.MaxContentSizePredicate

All Implemented Interfaces:
  Predicate

Deprecated.

    @Deprecated
    public class MaxContentSizePredicate
    extends Object
    implements Predicate

Predicate that returns true if the Content-Size of a request is above a given value. Use `RequestLargerThanPredicate` instead.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `MaxContentSizePredicate.Builder` Deprecated.

### Field Summary

### Fields inherited from interface io.undertow.predicate.Predicate

`PREDICATE_CONTEXT`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `resolve(HttpServerExchange value)` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### resolve

    public boolean resolve(HttpServerExchange value)

Deprecated.

Specified by:
  `resolve` in interface `Predicate`

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`